mav_paletteTextureAlphaSet(3)

NAME
mav_paletteTextureAlphaSet - Set the alpha component of a palette texture.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteTextureAlphaSet(MAV_palette *p, int index, float a);

ARGUMENTS

MAV_palette *p
    Palette to set.

int index
    Index into textures table, in range 0..mav_opt_maxTextures (default 150).

float a
    Alpha value (0.0-1.0).

DESCRIPTION
This function sets the alpha component of the texture in entry index of the texture table in palette p. alpha is in the range 0 (fully transparent) to 1 (fully opaque).